//////////////////////////////////////////////////////////////////////////////
// stdafx.h                                                                 //
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// includes                                                                 //
//////////////////////////////////////////////////////////////////////////////
#include <gb.h>
#include "makefile.h"
#include "/dev/gb/mylib/stdio.h"

//////////////////////////////////////////////////////////////////////////////
// defines                                                                  //
//////////////////////////////////////////////////////////////////////////////
#define CGBPAL(id,pal) id##CGBPal##pal##c0,id##CGBPal##pal##c1,id##CGBPal##pal##c2,id##CGBPal##pal##c3
#define CGBPALS(id) {CGBPAL(id,0),CGBPAL(id,1),CGBPAL(id,2),CGBPAL(id,3),CGBPAL(id,4),CGBPAL(id,5),CGBPAL(id,6),CGBPAL(id,7)}

#define J_DIR		(J_LEFT+J_RIGHT+J_UP+J_DOWN)
#define J_ANY		(J_LEFT+J_RIGHT+J_UP+J_DOWN+J_A+J_B+J_START+J_SELECT)
#define J_RESET		(J_A+J_B+J_START+J_SELECT)

//////////////////////////////////////////////////////////////////////////////
// variables                                                                //
//////////////////////////////////////////////////////////////////////////////
extern unsigned int currentbank;

//////////////////////////////////////////////////////////////////////////////
// BANK                                                                     //
//////////////////////////////////////////////////////////////////////////////
#define BANK(n) \
	SWITCH_ROM_MBC1(currentbank = n##_BNK)

//////////////////////////////////////////////////////////////////////////////
// SWITCH_ROM                                                               //
//////////////////////////////////////////////////////////////////////////////
#define SWITCH_ROM(n) \
	SWITCH_ROM_MBC1(currentbank = n)

//////////////////////////////////////////////////////////////////////////////
// ENABLE_RAM                                                               //
//////////////////////////////////////////////////////////////////////////////
#define ENABLE_RAM \
	ENABLE_RAM_MBC1

//////////////////////////////////////////////////////////////////////////////
// DISABLE_RAM                                                              //
//////////////////////////////////////////////////////////////////////////////
#define DISABLE_RAM \
	DISABLE_RAM_MBC1
