//////////////////////////////////////////////////////////////////////////////
// DrawCubes                                                                //
//////////////////////////////////////////////////////////////////////////////
void DrawCubes()
{
	unsigned int x,y;
	oam_idx = 0xA0-1;
	cubes = 0;
	for (y=0; y<DEPTH; y++)
	{
		for (x=0; x<WIDTH; x++)
		{
			unsigned int c = puzzle.map[y][x];
			if (c == 8) c = 7+8;	// special -> white special
			if (c)
			{
				cubes++;
				if ((x == puzzle.x) && (y == puzzle.y))
					DrawPlayer1(c, (y<<3)+72, (x<<4) - (y<<3) + 64 - new_scx);
				else
				{
					//if ((y > puzzle.y)) c |= 128;
					DrawCube(c, tab[y][x], (y<<3)+56, (x<<4) - (y<<3) + 64 - new_scx);
				}
			}
		}
	}
	oam_idx++;
	while (oam_idx)
	{
		oam_idx -= 4;
		*(char*)(0xC000 + oam_idx) = 0;
	}
}

