#include <stdio.h>

void main()
{
	FILE* f = fopen("..\\tab\\tabs.c", "wt");
	//fprintf(f, "#include \"tab.h\"\n");
	fprintf(f, "struct { unsigned long a; unsigned int sy,sx; } tabs[8][8] =\n{\n");
	for (int y=0; y<8; y++)
	{
		fprintf(f, "\t");
		for (int x=0; x<8; x++)
		{
			fprintf(f, "0x%04X,%d,%d,",
				0xC800 + 32*(y+5) + 2*x - y + 7,	// tilemap
				//0xCC00 + 32*(y+5) + 2*x - y + 7,	// attrmap
				//0xD000 + 32*(y+5) + 2*x - y + 7,	// sprtmap
				(y+7)*8,
				x*16 - y*8 + 64
			);
		}
		fprintf(f, "\n");
	}
	fprintf(f, "};\n");
	fclose(f);

	f = fopen("..\\tab\\tabs.h", "wt");
	fprintf(f, "typedef struct { Map *a; unsigned int sy,sx; } Tab;\n");
	fprintf(f, "extern Tab tabs[8][8];\n");
	fclose(f);
}
