//////////////////////////////////////////////////////////////////////////////
// text.c                                                                   //
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// includes                                                                 //
//////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"

//////////////////////////////////////////////////////////////////////////////
// FadeUp                                                                   //
//////////////////////////////////////////////////////////////////////////////
void FadeUp(int speed)
{
	UWORD tmp[4] = {RGB(0,0,0), RGB(0,0,0), RGB(0,0,0), RGB(0,0,0)};
	int i;
	for (i=0; i<32; i+=speed)
	{
		tmp[3] = RGB(i,i,i);
		set_bkg_palette(0,1, &tmp[0]);
		WaitVblDone();
	}
}

//////////////////////////////////////////////////////////////////////////////
// FadeDown                                                                 //
//////////////////////////////////////////////////////////////////////////////
void FadeDown(int speed)
{
	UWORD tmp[4] = {RGB(0,0,0), RGB(0,0,0), RGB(0,0,0), RGB(0,0,0)};
	int i;
	for (i=31; i>=0; i-=speed)
	{
		tmp[3] = RGB(i,i,i);
		set_bkg_palette(0,1, &tmp[0]);
		WaitVblDone();
	}
}

//////////////////////////////////////////////////////////////////////////////
// clrscr                                                                   //
//////////////////////////////////////////////////////////////////////////////
void clrscr()
{
	UWORD tmp[4] = {RGB(0,0,0), RGB(0,0,0), RGB(0,0,0), RGB(0,0,0)};
	int i;
	HIDE_SPRITES;
	LYC_REG = 0;
	for (i=0; i<8; i++) set_bkg_palette(i,1, &tmp[0]);
	VBK_REG=1; cls();
	VBK_REG=0; cls();
	SCX_REG = SCY_REG = 0;
	gotoxy(0,0);
}

//////////////////////////////////////////////////////////////////////////////
// Title                                                                    //
//////////////////////////////////////////////////////////////////////////////
void Title()
{
	clrscr();
//          01234567890123456789
	printf("                    \n");
	printf("    BlackThunder    \n");
	printf("      presents      \n");
	printf("                    \n");
	printf("  = Cube Raider =   \n");
	printf("                    \n");
	printf("                    \n");
	printf(" I really wanted to \n");
	printf(" add some music and \n");
	printf("full-screen hi-color\n");
	printf("       images.      \n");
	printf(" (that is 160x144!) \n");
	printf("                    \n");
	printf(" But I caught a flu \n");
	printf(" and didn't really  \n");
	printf(" helped much to get \n");
	printf("  it done in time.  \n");
	FadeUp(1);
}

//////////////////////////////////////////////////////////////////////////////
// ShowLogo                                                                 //
//////////////////////////////////////////////////////////////////////////////
void ShowLogo()
{
	extern unsigned char logo_0[];
	extern unsigned char logo_1[];
	extern unsigned char logo_t[];
	extern unsigned char logo_a[];
	extern UWORD logo_p[];
	BANK(LOGO_0);
	VBK_REG=0; set_bkg_data(0,0/*256*/, logo_0);
	set_bkg_tiles(0,0,20,18, logo_t);
	VBK_REG=1; set_bkg_data(0,0/*256*/, logo_1);
	set_bkg_tiles(0,0,20,18, logo_a);
	set_bkg_palette(0,8,logo_p);
}

//////////////////////////////////////////////////////////////////////////////
// ShowBung                                                                 //
//////////////////////////////////////////////////////////////////////////////
void ShowBung()
{
	extern unsigned char bung_0[];
	extern unsigned char bung_1[];
	extern unsigned char bung_t[];
	extern unsigned char bung_a[];
	extern UWORD bung_p[];
	BANK(BUNG_0);
	VBK_REG=0; set_bkg_data(0,0/*256*/, bung_0);
	set_bkg_tiles(0,0,20,18, bung_t);
	VBK_REG=1; set_bkg_data(0,0/*256*/, bung_1);
	set_bkg_tiles(0,0,20,18, bung_a);
	set_bkg_palette(0,8,bung_p);
}

//////////////////////////////////////////////////////////////////////////////
// ShowBT                                                                 //
//////////////////////////////////////////////////////////////////////////////
void ShowBT()
{
	extern unsigned char bt_0[];
	extern unsigned char bt_1[];
	extern unsigned char bt_t[];
	extern unsigned char bt_a[];
	extern UWORD bt_p[];
	BANK(BT_0);
	VBK_REG=0; set_bkg_data(0,0/*256*/, bt_0);
	set_bkg_tiles(0,0,20,18, bt_t);
	VBK_REG=1; set_bkg_data(0,0/*256*/, bt_1);
	set_bkg_tiles(0,0,20,18, bt_a);
	set_bkg_palette(0,8,bt_p);
}
