//////////////////////////////////////////////////////////////////////////////
// asm.h                                                                    //
//////////////////////////////////////////////////////////////////////////////
#ifndef _ASM_H
#define _ASM_H

//////////////////////////////////////////////////////////////////////////////
// typedefs                                                                 //
//////////////////////////////////////////////////////////////////////////////
typedef char Map[][32];

//////////////////////////////////////////////////////////////////////////////
// variables                                                                //
//////////////////////////////////////////////////////////////////////////////
extern unsigned char oam1[40][4];	// sprites (0x10 in properties = in use)
extern unsigned char oam2[40][4];	// sprites (0x10 in properties = in use)
extern Map tilemap;					// tile number
extern Map attrmap;					// tile attribute
extern Map sprtmap;					// sprite overlay number (-1 = no sprite)
extern Map gridmap;					// empty grid map
extern unsigned int do_dma;
extern unsigned int currentbank;

//////////////////////////////////////////////////////////////////////////////
// prototypes                                                               //
//////////////////////////////////////////////////////////////////////////////
void ClearOAM1();
void CopyOAM1to2();
void DrawCube(void* a, unsigned char x, unsigned char y, unsigned char c);
void DrawPlayer0(void* a, unsigned char x, unsigned char y);
void DrawPlayer1(void* a, unsigned char x, unsigned char y);
void DrawPlayer2(void* a, unsigned char x, unsigned char y);
void DrawPlayer3(void* a, unsigned char x, unsigned char y);
void DrawPlayer4(void* a, unsigned char x, unsigned char y);
void DrawPlayer5(void* a, unsigned char x, unsigned char y);
void DrawPlayer6(void* a, unsigned char x, unsigned char y);
void DrawPlayer7(void* a, unsigned char x, unsigned char y);

#endif // _ASM_H
